ChangeSet 1.1346, 2003/10/09 13:17:49-07:00, noah@caltech.edu

[PATCH] USB: Make Ethernet Gadget depend on CONFIG_NET

Previously, one could configure a kernel that wouldn't link by doing a 'make
allnoconfig' and then a 'make menuconfig' and enabling CONFIG_EXPERIMENTAL,
CONFIG_PCI, CONFIG_USB_GADGET, and CONFIG_USB_ETH.


 drivers/usb/gadget/Kconfig |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)


diff -Nru a/drivers/usb/gadget/Kconfig b/drivers/usb/gadget/Kconfig
--- a/drivers/usb/gadget/Kconfig	Fri Oct 10 16:02:23 2003
+++ b/drivers/usb/gadget/Kconfig	Fri Oct 10 16:02:23 2003
@@ -110,7 +110,7 @@
 
 config USB_ETH
 	tristate "Ethernet Gadget"
-	depends on USB_GADGET && (USB_DUMMY_HCD || USB_NET2280 || USB_PXA2XX || USB_SA1100)
+	depends on USB_GADGET && NET && (USB_DUMMY_HCD || USB_NET2280 || USB_PXA2XX || USB_SA1100)
 	help
 	  This driver implements Ethernet style communication, in either
 	  of two ways:
